petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecStepBoundInfo

See below

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecStepBoundInfo(Vec X, Vec DX, Vec XL, Vec XU, PetscReal *boundmin, PetscReal *wolfemin, PetscReal *boundmax)

Collective on Vec Many br

### Input Parameters

| X | - vector with no negative entries Many br
| XL | - lower bounds Many br
| XU | - upper bounds Many br
| DX | - step direction, can have negative, positive or zero entries Many br

### Output Parameter

| boundmin | - maximum value so that XL[i] <= X[i] + boundmax*DX[i] <= XU[i] Many br
| wolfemin | - Many br
| boundmax | - minimum value so that X[i] + boundmax*DX[i] <= XL[i] or XU[i] <= X[i] + boundmax*DX[i] Many br

Many br

Level:advanced
Location:src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages